Bug 120562 - cyrus-sasl-2.1.10-4 linked against threaded libdb-4.0
cyrus-sasl-2.1.10-4 linked against threaded libdb-4.0
Product: Red Hat Linux
Classification: Retired
Component: cyrus-sasl (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-04-10 17:15 EDT by Robert Scheck
Modified: 2007-04-18 13:05 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-01 12:37:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Diff between spec file of cyrus-sasl of RHL9 and my hack (latest cyrus-sasl) (20.16 KB, patch)
2004-06-09 14:21 EDT, Robert Scheck
no flags Details | Diff
cyrus-sasl-2.1.18-automake.patch (701 bytes, patch)
2004-06-09 14:23 EDT, Robert Scheck
no flags Details | Diff
db-4.0.14-disable-mutex.patch (937 bytes, patch)
2004-06-09 14:24 EDT, Robert Scheck
no flags Details | Diff
db-4.0.14-libobjs.patch (738 bytes, patch)
2004-06-09 14:24 EDT, Robert Scheck
no flags Details | Diff
cyrus-sasl.spec (25.12 KB, patch)
2004-06-09 14:29 EDT, Robert Scheck
no flags Details | Diff

  None (edit)
Description Robert Scheck 2004-04-10 17:15:50 EDT
Description of problem:
cyrus-sasl-2.1.10-4 is linked against threaded libdb-4.0, that can 
cause bigger problems. This was the reason to bundle a libdb with 
cyrus-sasl (see changelog from cyrus-sasl-2.1.17-1), but at Red
Hat Linux 9 this wasn't done. So "Very Bad Things" can happen...

Version-Release number of selected component (if applicable):

How reproducible & Steps to Reproduce:
That there can be problems is described in #112215
Actual results:
I think, the onliest solution is to bundle a non-threaded libdb-4.0
also with cyrus-sasl-2.1.10-4 (Red Hat Linux 9) to prevent "Very Bad
Things" in the same way as it was done with cyrus-sasl-2.1.18-2 at 
Fedora Development.

Expected results:
A good and working solution (and no "notabug" or "worksforme") before
the End-Of-Lifetime of Red Hat Linux 9 is reached...thank you very
much ;-)

Additional info:
Seems so, that there is a patch needed, that libdb-4 is bundable
with cyrus-sasl-2.1.10-4, because my simple hack failed building.
Comment 1 Robert Scheck 2004-06-09 14:16:46 EDT
Well, the abuse to you about the current working status you can read 
in bug #120558, I think one time writing that is enough ;-)

But after EOL is reached now, I think you'll close this bug - sooner
or later - relatively sure with "notabug", "worksforme" or something
like that...

But I still hacked a solution out, so that others maybe affected by
that problem, can find a (for me) working solution here. The onliest
thing to make me just a little bit friendlier would be to verify and
approve my solution, if it is right (whether it doesn't take too much
work) ;-)

FYI: My hack should - maybe merged - also work at cyrus-imapd, 
openldap, etc of Red Hat Linux 9.
Comment 2 Robert Scheck 2004-06-09 14:21:50 EDT
Created attachment 101002 [details]
Diff between spec file of cyrus-sasl of RHL9 and my hack (latest cyrus-sasl)

My hack also should work with the original cyrus-sasl delivered with RHL9.
Comment 3 Robert Scheck 2004-06-09 14:23:33 EDT
Created attachment 101003 [details]
Comment 4 Robert Scheck 2004-06-09 14:24:06 EDT
Created attachment 101004 [details]
Comment 5 Robert Scheck 2004-06-09 14:24:57 EDT
Created attachment 101005 [details]
Comment 6 Robert Scheck 2004-06-09 14:29:09 EDT
Created attachment 101006 [details]

For those, who want or need it...
Comment 7 Robert Scheck 2004-10-01 12:37:50 EDT
Nice, that I got full qualified and useful answers</irony>

I'll close this bug report with "worksforme" now, because Red Hat 
Linux 9's time to live is over. Maybe this issue is solved by the 
Fedora Legacy team for Red Hat Linux 9.

Note You need to log in before you can comment on or make changes to this bug.